Internal Unauthenticated/External - IP Addresses scan details for an asset
curl --request GET \
--url https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ipimport requests
url = "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip")
.asString();require 'uri'
require 'net/http'
url = URI("https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"RiskGrade": "<string>",
"TotalCVECount": 123,
"CriticalCount": 123,
"HighCount": 123,
"MediumCount": 123,
"LowCount": 123,
"DeviceFingerprint": "<string>",
"MACAddress": "<string>",
"MACVendor": "<string>",
"SNMPResult": "<string>",
"FinishTime": "2023-11-07T05:31:56Z",
"CVEs": [
{
"CveID": "<string>",
"Title": "<string>",
"FirstSeen": "2023-11-07T05:31:56Z",
"Exploitability": [
"<string>"
],
"Severity": "<string>",
"CVSS": 123,
"EPSS": 123,
"ScanId": 123,
"Patchable": true
}
],
"OpenPorts": [
{
"ScanId": 123,
"PortNumber": "<string>",
"PortDescription": "<string>",
"RiskLevel": "<string>"
}
]
}Vulnerability Assets
Internal Unauthenticated/External - IP Addresses scan details for an asset
Returns Internal Unauthenticated or External IP Address vulnerability details for a device identified by IP address, based asset IP address.
Use this endpoint when you already know the asset ip and want detailed counts and list of CVEs and open ports for the asset.
Required headers:
Authorization: access_token {token}
GET
/
partner
/
vulnerability
/
assets
/
ip
Internal Unauthenticated/External - IP Addresses scan details for an asset
curl --request GET \
--url https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ipimport requests
url = "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip")
.asString();require 'uri'
require 'net/http'
url = URI("https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"RiskGrade": "<string>",
"TotalCVECount": 123,
"CriticalCount": 123,
"HighCount": 123,
"MediumCount": 123,
"LowCount": 123,
"DeviceFingerprint": "<string>",
"MACAddress": "<string>",
"MACVendor": "<string>",
"SNMPResult": "<string>",
"FinishTime": "2023-11-07T05:31:56Z",
"CVEs": [
{
"CveID": "<string>",
"Title": "<string>",
"FirstSeen": "2023-11-07T05:31:56Z",
"Exploitability": [
"<string>"
],
"Severity": "<string>",
"CVSS": 123,
"EPSS": 123,
"ScanId": 123,
"Patchable": true
}
],
"OpenPorts": [
{
"ScanId": 123,
"PortNumber": "<string>",
"PortDescription": "<string>",
"RiskLevel": "<string>"
}
]
}Query Parameters
Response
OK
Represents an IP asset with its associated vulnerability and scan details.
